
<div style="margin-top: 20px;">
    <div class="row panel-gate"> 
        <div class="col-sm-8">
            <p-panel header="Antrian - MPM Simpang">                
                <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
                    <div class="row justify-content-md-center antrian-wrapper"> 
                        <div class="col-sm-6">
                            <jhi-alert-error></jhi-alert-error>
                            <div class="form-group" [hidden]="!bookingListView.idBooking" style="display:none">
                                <label for="id" jhiTranslate="global.field.id">ID</label>
                                <input type="text" class="form-control" id="id" name="id" [(ngModel)]="bookingListView.idBooking" readonly />
                            </div> 
                            <div class="form-group">
                                <label class="form-control-label">Vehicle Number</label>
                                <div class="check-wrapper">
                                    <div class="check-input">
                                        <input type="text" class="form-control" name="vehicleNumber" id="field_vehicleNumber"
                                            [(ngModel)]="vPoliceNum"/>
                                    </div>                                    
                                    <div class="check-button">                                        
                                        <button type="button" class="btn btn-default" (click)="checkVPolice(vPoliceNum)">Check</button>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group">
                                <label>Customer</label>
                                <input type="text" class="form-control" name="customer" id="field_customer"
                                [(ngModel)]="vName"  />
                            </div>
                            <button type="submit" class="btn btn-default btn-antrian">Ambil Nomor Antrian</button>
                            <div class="antrian-motor" *ngIf="showGreeting"> 
                                <p>Antrian Reguler</p>
                                <h2> {{bookingListView.bookingNumber}} </h2>
                                <button type="button" (click)="printAntrian()" class="btn btn-default btn-antrian">Simpan & Cetak Nomor Antrian</button>
                            </div>
                        </div>
                    </div>
                    <!--div class="modal-footer">
                        <button type="button" class="btn btn-default" (click)="previousState()">
                            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                        </button>
                        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
                            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                        </button>
                    </div-->
                </form>
            </p-panel>
        </div>        
        <div class="col-sm-4">
            <p-panel header="Antrian Terlewat">
                <p-dataTable
                    [value]="bookingListViews"
                    [editable]="true"
                    [rows]="itemsPerPage"
                    [paginator]="false"
                    [pageLinks]="5"
                    [rowsPerPageOptions]="[10,15,20]"
                    [totalRecords]="totalItems"
                    [responsive]="true"
                    [lazy]="true"
                    dataKey="idBooking"
                    expandableRows="false"
                    (onLazyLoad)="loadDataLazy($event)"
                    (onEditComplete)="updateRowData($event)">
                    <p-column header="{{'mpmApp.bookingListView.bookingNumber'|translate}}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.bookingNumber}}
                        </ng-template>
                    </p-column>
                    <p-column header="{{'mpmApp.bookingListView.vehicleNumber'|translate}}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.vehicleNumber}}
                        </ng-template>
                    </p-column>
                    <p-column header="{{'mpmApp.bookingListView.customer'|translate}}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.customerId">
                                <a [routerLink]="['../personal-customer', rowData.customerId  ]" >{{rowData.customerId}}</a>
                            </div>
                        </ng-template>
                    </p-column>
                    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                    </ng-template>
                </p-dataTable>
            </p-panel>
        </div>
    </div>
</div>